//
//  TCPushAnalytics.h
//  TCPushSDK
//
//  Created by JooHyun Lee on 2018. 4. 19..
//  Copyright © 2018년 NHNEnt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "TCPushConfiguration.h"

typedef void (^CompletionHandler)(NSError *error);

@interface TCPushAnalytics : NSObject

+ (void)setCollectorUrl:(NSString *)url;

+ (void)onReceivedNotificationWithAppKey:(NSString *)appKey
                                userInfo:(NSDictionary *)userInfo
                       completionHandler:(CompletionHandler)handler;

+ (void)onReceivedNotificationWithAppKey:(NSString *)appKey
                                userInfo:(NSDictionary *)userInfo
                             serviceZone:(TCPushServiceZone)serviceZone
                       completionHandler:(CompletionHandler)handler;

+ (void)onOpenedNotificationWithAppKey:(NSString *)appKey
                              userInfo:(NSDictionary *)userInfo
                     completionHandler:(CompletionHandler)handler;

+ (void)onOpenedNotificationWithAppKey:(NSString *)appKey
                              userInfo:(NSDictionary *)userInfo
                           serviceZone:(TCPushServiceZone)serviceZone
                     completionHandler:(CompletionHandler)handler;


#pragma marks - deprecated
+ (void)onReceivedNotificationWithUrl:(NSString *)serverUrl
                               appKey:(NSString *)appKey
                             userInfo:(NSDictionary *)userInfo
                    completionHandler:(void (^)(void))handler;
//__deprecated_msg("use onReceivedNotificationWithAppKey instead.");

+ (void)onOpenedNotificationWithUrl:(NSString *)serverUrl
                             appKey:(NSString *)appKey
                           userInfo:(NSDictionary *)userInfo
                  completionHandler:(void (^)(void))handler;
//__deprecated_msg("use onOpenedNotificationWithAppKey instead.");

@end
