//
//  TCPushSDK+Core.h
//  TCPushSDK
//
//  Created by JooHyun Lee on 2018. 4. 19..
//  Copyright © 2018년 NHNEnt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "TCPushConfiguration.h"
#import "TCPushConstants.h"

typedef void (^RegisterHandler)(NSError *error);
typedef void (^QueryHandler)(NSDictionary *result, NSError *error);

@interface TCPushSdk : NSObject

+ (NSString *)version;
+ (void)setDebugMode:(BOOL)debugMode;

+ (void)initWithConfiguration:(TCPushConfiguration *)configuration;
+ (void)registerWithCompletionHandler:(RegisterHandler)handler;
+ (void)queryWithCompletionHandler:(QueryHandler)handler;

#pragma marks - deprecated
+ (int)registerWithAppKey:(NSString *)appKey
                   userId:(NSString *)userId
               onRegister:(OnRegister)onRegister
                  options:(NSDictionary *)options;
//__deprecated_msg("use registerWithCompletionHandler instead.");

+ (int)queryForAppKey:(NSString *)appKey
               userId:(NSString *)userId
              onQuery:(OnQuery)onQueryDeprecated
              options:(NSDictionary *)options;
//__deprecated_msg("use queryWithCompletionHandler instead.");

+ (NSString *)sdkVersion;
//__deprecated_msg("use version instead.");

@end
